import { GroupLoadMoreEventPayload, GroupLoadMoreMeta, GroupLoadMorePathSegment, GroupLoadMoreState } from '../../../../../../types/src/table';
import { default as Group } from './Group';

export declare function getGroupPath(group: Group): GroupLoadMorePathSegment[];
export declare function getGroupPathKey(path: GroupLoadMorePathSegment[]): string;
export declare function getGroupLoadMoreState(meta: GroupLoadMoreMeta | undefined, pathKey: string): GroupLoadMoreState | undefined;
export declare function getGroupLoadMoreEventPayload(group: Group): GroupLoadMoreEventPayload;
